Installation af Java giver fejl (--> skal bruges til Minecraft) Emnet er løst

Søger du et bestemt program? Mangler du et alternativ til dit Windowsprogram? Program-spørgsmål kan stilles her.
UsingBlanks
Indlæg: 16
Tilmeldt: 19. feb 2017, 14:37

Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf UsingBlanks » 4. jun 2017, 11:10

Kære UbuntuDanmark brugere

Jeg vil gerne installere Minecraft på en Ubuntu maskine, så børnene og jeg kan spille sammen.
Dette har ledt mig til at forsøge at installere Java.

Jeg forsøgte først at installere OpenJDK, men det fejlede. Så forsøgte jeg med Oracle java, som også fejlede.
Jeg hev derefter det hele ud igen (via denne guide: https://askubuntu.com/questions/84483/h ... stall-java ), og forsøgte forfra.

Uanset hvad jeg gør, får jeg dog følgende fejl:
E: Sub-process /usr/bin/dpkg returned an error code (1)



Jeg har fulgt denne guide som lader til at være den nyeste:
Du skal installere Java på din Linux maskine.

Derefter højreklikker du på minecraft.jar filen og vælger egenskaber og under rettigheder tillader du kørsel som program. Herefter er der en fane der hedder åben med og her vælger du Java som standard program

Jeg husker ikke de eksakte navne, men det burde være ret nemt.. Du kan installere Java på denne måde i Ubuntu:

Åben en terminal:

sudo add-apt-repository ppa:webupd8team/java
sudo apt update

Herefter:

sudo apt install oracle-java9-installer

Tror det er det korrekte navn for Java...

viewtopic.php?f=32&t=21090

Kan i hjælpe? :)

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf AJenbo » 4. jun 2017, 13:01

Hvad giver følgende:

Kode: Vælg alt

sudo apt purge openjdk-8-jre

UsingBlanks
Indlæg: 16
Tilmeldt: 19. feb 2017, 14:37

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf UsingBlanks » 6. jun 2017, 07:19

AJenbo skrev:Hvad giver følgende:

Kode: Vælg alt

sudo apt purge openjdk-8-jre


Kode: Vælg alt

kristoffer@kristoffer:~$ sudo apt purge openjdk-8-jre
[sudo] password for kristoffer:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  asc-data asc-music ca-certificates-java endless-sky-data freeorion-data
  libboost-log1.58.0 libboost-python1.58.0 libboost-regex1.58.0
  libboost-serialization1.58.0 libboost-thread1.58.0 liblua5.1-0
  libwxbase3.0-0v5 openjdk-8-jre-headless
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  openjdk-8-jre*
0 upgraded, 0 newly installed, 1 to remove and 165 not upgraded.
1 not fully installed or removed.
After this operation, 258 kB disk space will be freed.
Do you want to continue? [Y/n]


Vil jeg gerne purge det?

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf AJenbo » 6. jun 2017, 10:15

Ja hvis gerne du vil prøve at løse prolemet mht til at kunne installere programmer på dit system. Nej hvis du er lige glad og bare vil have minecraft til at virke og intet andet.

Brugeravatar
Storm
Indlæg: 121
Tilmeldt: 27. jan 2017, 09:06

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf Storm » 6. jun 2017, 18:14

Så vidt jeg ved, så kan Minecraft ikke bruge open java, men istedet oracle java.

Kode: Vælg alt

sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java9-installer
sudo apt-get install oracle-java9-set-default


så installationen af minecraft:

Kode: Vælg alt

sudo add-apt-repository ppa:minecraft-installer-peeps/minecraft-installer
sudo apt-get update
sudo apt-get install minecraft-installer
| AMD Ryzen 1700x 3.4 GHz | ASUS PRIME X370-A | 32 GB 2400 Mhz DDR4 |
| ASUS Nvidia 1070 8 GB | SSD 1000 GB |

Zorin OS 16

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf AJenbo » 6. jun 2017, 20:16

Det ser ud til at du har ret. Tidligere har jeg kørt det med den åbne java, men det er længe siden og det ser ud til at de i dag kræver noget kryptering som ikke er i den åbne udgave af java. I så fald bør du først purge den installerede udgave af java.

Kode: Vælg alt

sudo apt-get purge openjdk-* -y

UsingBlanks
Indlæg: 16
Tilmeldt: 19. feb 2017, 14:37

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf UsingBlanks » 6. jun 2017, 20:28

Hej Storm og AjenBo

Kode: Vælg alt

sudo apt-get purge openjdk-* -y

Jeg kørte AjenBos kode, men får en fejl:
[quote]E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
[/quote

Jeg har kun denne hjemmeside og terminalen åben. Jeg kan dog have noget kørende i baggrunden som jeg ikke er bevidst om.

MVH
Blanks

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf AJenbo » 6. jun 2017, 20:35

Åben Softwareopdateringer og tjek at den ikke er igang med at installere opdateringer. Og hvis der ligger nogen og venter så installer dem.

Genstart computeren, prøv igen.

Brugeravatar
Christian.Arvai
Admin
Indlæg: 10695
Tilmeldt: 26. apr 2008, 19:27
IRC nickname: Christian_Arvai
Geografisk sted: Holeby - Lolland

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf Christian.Arvai » 7. jun 2017, 13:45

Der er stor risiko for en konflikt, hvis man ikke sikre at alt gammelt Java er slettet, inden man forsøger at installere en ny udgave. Af samme årsag har vi i forum lavet en guide kun til dette formål. Det er løsning nummer to du skal bruge.

Kode: Vælg alt

sudo dpkg --configure -a; sudo apt-get purge -y openjdk-6-jre; sudo apt-get purge -y openjdk-6-jre-lib; sudo apt-get purge -y openjdk-6-doc; sudo apt-get purge -y openjdk-7-jre; sudo apt-get purge -y openjdk-7-jre-lib; sudo apt-get purge -y openjdk-7-doc; sudo apt-get purge -y sun-java6-jdk; sudo apt-get purge -y sun-java6-bin; sudo apt-get purge -y sun-java6-fonts; sudo apt-get purge -y sun-java6-jre; sudo apt-get purge -y sun-java6-plugin; sudo apt-get purge -y sun-java7-jdk; sudo apt-get purge -y sun-java7-bin; sudo apt-get purge -y sun-java7-fonts; sudo apt-get purge -y sun-java7-jre; sudo apt-get purge -y sun-java7-plugin; sudo apt-get purge -y icedtea-plugin; sudo apt-get purge -y icedtea-7-plugin; sudo apt-get purge -y oracle-java7-installer; sudo apt-get purge -y oracle-java8-installer; sudo apt-get purge -y oracle-java9-installer; sudo apt-get autoremove; sudo add-apt-repository ppa:webupd8team/java; sudo apt-get update -y; sudo apt-get install oracle-java8-installer && sudo apt-get upgrade
Med venlig hilsen Christian

"We can only see a short distance ahead, but we can see plenty there that needs to be done." -- Alan Turing

Brugeravatar
Christian.Arvai
Admin
Indlæg: 10695
Tilmeldt: 26. apr 2008, 19:27
IRC nickname: Christian_Arvai
Geografisk sted: Holeby - Lolland

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf Christian.Arvai » 7. jun 2017, 13:48

Storm skrev:Så vidt jeg ved, så kan Minecraft ikke bruge open java, men istedet oracle java.

Kode: Vælg alt

sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java9-installer
sudo apt-get install oracle-java9-set-default


så installationen af minecraft:

Kode: Vælg alt

sudo add-apt-repository ppa:minecraft-installer-peeps/minecraft-installer
sudo apt-get update
sudo apt-get install minecraft-installer

Hvorfor Java-9? Java's udgave nr 9 er langt fra færdigudviklet pt. Personligt ville jeg ikke anbefale den foreløbigt.
Med venlig hilsen Christian

"We can only see a short distance ahead, but we can see plenty there that needs to be done." -- Alan Turing

Brugeravatar
Storm
Indlæg: 121
Tilmeldt: 27. jan 2017, 09:06

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf Storm » 7. jun 2017, 17:24

Fordi det den jeg bruger :P

UsingBlanks, hvis du hellere vil bruge version 8, så ret 9 tallerne til 8.
| AMD Ryzen 1700x 3.4 GHz | ASUS PRIME X370-A | 32 GB 2400 Mhz DDR4 |
| ASUS Nvidia 1070 8 GB | SSD 1000 GB |

Zorin OS 16

UsingBlanks
Indlæg: 16
Tilmeldt: 19. feb 2017, 14:37

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf UsingBlanks » 9. jun 2017, 21:49

Fulgte Christians guide (tak for den).

Bagefter kørte jeg Storms kode, minus Java delen som jeg så vidt jeg kan se får fra guiden/koden der.

Jeg får dog desværre stadig en fejl:

Kode: Vælg alt

kristoffer@kristoffer:~$ sudo add-apt-repository ppa:minecraft-installer-peeps/minecraft-installer
 # Not Redistribution

Since the script actually goes out to Mojang's servers to get the files, I'm not redistributing any of their files. This project is simply an installer for their stuff.

# Not a Black Screen Fix

If your computer has issues running Minecraft with OpenJDK 7, then it will have issues running this. Because that's what this is. I've tested this on multiple machines and it's worked fine, but your mileage may vary. That said, one of the main black screen issues I've seen is people not running it with OpenJDK 7. ;)
 More info: https://launchpad.net/~minecraft-installer-peeps/+archive/ubuntu/minecraft-installer
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmpydj65nbm/secring.gpg' created
gpg: keyring `/tmp/tmpydj65nbm/pubring.gpg' created
gpg: requesting key DA39203D from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpydj65nbm/trustdb.gpg: trustdb created
gpg: key DA39203D: public key "Launchpad PPA for Minecraft Installer Peeps" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
kristoffer@kristoffer:~$ sudo apt-get update
Hit:1 http://ppa.launchpad.net/minecraft-installer-peeps/minecraft-installer/ubuntu xenial InRelease                                               
Hit:2 http://archive.canonical.com/ubuntu xenial InRelease                                                                                         
Hit:3 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease                                                                     
Hit:4 http://security.ubuntu.com/ubuntu xenial-security InRelease                                                                           
Err:5 http://dk.archive.ubuntu.com/ubuntu xenial InRelease                               
  Temporary failure resolving 'dk.archive.ubuntu.com'
Err:6 http://dk.archive.ubuntu.com/ubuntu xenial-updates InRelease
  Temporary failure resolving 'dk.archive.ubuntu.com'
Err:7 http://dk.archive.ubuntu.com/ubuntu xenial-backports InRelease
  Temporary failure resolving 'dk.archive.ubuntu.com'
Reading package lists... Done           
W: Failed to fetch http://dk.archive.ubuntu.com/ubuntu/dists/xenial/InRelease  Temporary failure resolving 'dk.archive.ubuntu.com'
W: Failed to fetch http://dk.archive.ubuntu.com/ubuntu/dists/xenial-updates/InRelease  Temporary failure resolving 'dk.archive.ubuntu.com'
W: Failed to fetch http://dk.archive.ubuntu.com/ubuntu/dists/xenial-backports/InRelease  Temporary failure resolving 'dk.archive.ubuntu.com'
W: Some index files failed to download. They have been ignored, or old ones used instead.
kristoffer@kristoffer:~$ sudo apt-get install minecraft-installer
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  minecraft-installer
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/9,332 B of archives.
After this operation, 110 kB of additional disk space will be used.
Selecting previously unselected package minecraft-installer.
(Reading database ... 217242 files and directories currently installed.)
Preparing to unpack .../minecraft-installer_0.1+r12~ubuntu16.04.1_amd64.deb ...
Unpacking minecraft-installer (0.1+r12~ubuntu16.04.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Setting up minecraft-installer (0.1+r12~ubuntu16.04.1) ...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:--  0:00:09 --:--:--     0curl: (6) Could not resolve host: s3.amazonaws.com
chmod: cannot access '/usr/share/minecraft/minecraft.jar': No such file or directory
dpkg: error processing package minecraft-installer (--configure):
 subprocess installed post-installation script returned error exit status 1
E: Sub-process /usr/bin/dpkg returned an error code (1)



Storm skrev:Fordi det den jeg bruger :P

haha, der kan siges meget godt om ærlighed!
Jeg går dog med 8eren indtil videre, hverken jeg eller mine børn skal bruge udviklerfunktionalitet :D

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)  Emnet er løst

Indlægaf AJenbo » 9. jun 2017, 22:57

Dit pakke system har et eller andet galt i halsen så jeg tvivler på at noget af det du har kørt har funget. Hvad var resultatet da du kørte den første del?

Du ser ud til at have problemer med at få forbindelse til den danske Ubuntu server, prøv at skifte til "Main" i programmet "Software og Opdateringer".

Hvad giver følgende:

Kode: Vælg alt

sudo apt install -f

UsingBlanks
Indlæg: 16
Tilmeldt: 19. feb 2017, 14:37

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf UsingBlanks » 11. jun 2017, 21:12

AJenbo skrev:Dit pakke system har et eller andet galt i halsen så jeg tvivler på at noget af det du har kørt har funget. Hvad var resultatet da du kørte den første del?

Jeg fik ikke noget jeg genkendte som en fejl - jeg mener den sagde at den havde installeret korrekt, men jeg kan tage fejl.

AJenbo skrev:Du ser ud til at have problemer med at få forbindelse til den danske Ubuntu server, prøv at skifte til "Main" i programmet "Software og Opdateringer".

Hvad giver følgende:

Kode: Vælg alt

sudo apt install -f

Så har jeg skiftet, den siger "Software up to date" og følgende når jeg kører koden:

Kode: Vælg alt

kristoffer@kristoffer:~$ sudo apt install -f
[sudo] password for kristoffer:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up minecraft-installer (0.1+r12~ubuntu16.04.1) ...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  273k  100  273k    0     0   125k      0  0:00:02  0:00:02 --:--:--  125k
kristoffer@kristoffer:~$

AJenbo
Admin
Indlæg: 20525
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Installation af Java giver fejl (--> skal bruges til Minecraft)

Indlægaf AJenbo » 11. jun 2017, 22:07

Det ser ud til at være gået bedre denne gang.

Tilbage til "Programmer i Ubuntu"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster